# SPDX-FileCopyrightText: Copyright (c) 2023-2024, Linaro Limited.
#
# SPDX-FileCopyrightText: <text>Copyright 2022-2024 Arm Limited and/or its
# affiliates <open-source-office@arm.com></text>
#
# SPDX-License-Identifier: MIT

# Add the path of this layer to BBPATH
BBPATH .= ":${LAYERDIR}"

# We have recipes-* directories, add to BBFILES
BBFILES += "${LAYERDIR}/recipes-*/*/*.bb \
            ${LAYERDIR}/recipes-*/*/*.bbappend \
           "

BBFILE_COLLECTIONS += "meta-cassini-tests"
BBFILE_PATTERN_meta-cassini-tests = "^${LAYERDIR}/"

LAYERDEPENDS_meta-cassini-tests = " \
   core \
   openembedded-layer \
   meta-arm \
   meta-cassini-distro"

LAYERSERIES_COMPAT_meta-cassini-tests = "styhead"
